/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dto;

import java.util.Date;

import org.apache.commons.lang.StringEscapeUtils;

/**
 * 广告类
 * 
 * @author jadyn
 * @version 
 */
public class AdImageDto {
	private int adId; // 广告图片id
	private String adHyperlink; // 跳转链接
	private String imageUrl; // 图片地址
	private int sortKey; // 排序字段
	private Date updateDate; // 修改时间

	public AdImageDto() {
		super();
	}

	public int getAdId() {
		return adId;
	}

	public void setAdId(int adId) {
		this.adId = adId;
	}

	public String getAdHyperlink() {
		return adHyperlink;
	}

	public void setAdHyperlink(String adHyperlink) {
		this.adHyperlink = StringEscapeUtils.unescapeHtml(adHyperlink);
	}

	public String getImageUrl() {
		return imageUrl;
	}

	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}

	public int getSortKey() {
		return sortKey;
	}

	public void setSortKey(int sortKey) {
		this.sortKey = sortKey;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

}